import { nodeResolve } from '@rollup/plugin-node-resolve';
import typescript from '@rollup/plugin-typescript';

const entrys = ['editor', 'editor.json'];
const configs = entrys.map((entry) => ({
  input: `./src/${entry}.ts`, // 修改输入文件为 TypeScript 文件
  output: {
    file: `./dist/${entry}.js`,
  },
  plugins: [
    nodeResolve(),
    typescript({
      tsconfig: './tsconfig.json',
      compilerOptions: {
        declaration: true, // 生成声明文件
        declarationDir: './dist', // 声明文件输出目录
      },
    }), // 添加 TypeScript 插件
  ],
}));

export default configs;
