import { createEditorInstance } from '@kevisual/codemirror/dist/editor.json';
import { useEffect, useRef } from 'react';
export const App = () => {
  const ref = useRef<HTMLDivElement>(null);
  useEffect(() => {
    init();
  }, []);
  const init = () => {
    const editor = createEditorInstance(ref.current!);
    editor.dom.style.height = '100%';
  };
  return (
    <div className='h-full w-full bg-gray-400'>
      <div className='p-2 bg-white mb-4'>CodeMirror</div>
      <div
        className='rounded-md border shadow-md p-4 bg-white mx-8'
        style={{
          height: 'calc(100vh - 100px)',
          overflow: 'auto',
        }}>
        <div ref={ref} className='h-full w-full'></div>
      </div>
    </div>
  );
};
