import resolve from '@rollup/plugin-node-resolve';
import typescript from '@rollup/plugin-typescript';

import postcss from 'rollup-plugin-postcss';
import autoprefixer from 'autoprefixer';
import cssnano from 'cssnano';
import postcssImport from 'postcss-import';

const entrys = ['index'];
const configs = entrys.map((entry) => ({
  input: `./src/${entry}.ts`, // 修改输入文件为 TypeScript 文件
  output: {
    file: `./dist/${entry}.js`,
  },
  plugins: [
    // resolve(),
    typescript({
      tsconfig: './tsconfig.json',
      compilerOptions: {
        declaration: true, // 生成声明文件
        declarationDir: './dist', // 声明文件输出目录
      },
    }), // 添加 TypeScript 插件
  ],
}));

const entryCss = ['index'];
const configsCss = entryCss.map((entry) => ({
  input: `./src/${entry}.css`, // 修改输入文件为 TypeScript 文件
  output: {
    file: `./dist/${entry}.css`,
  },
  include: ['src/**/*.css'],
  plugins: [
    // resolve(),
    postcss({
      // extract: true,
      extract: true,
      plugins: [
        postcssImport(), // 处理 @import 语句
        autoprefixer(),
      ],
    }),
  ],
}));

export default [...configs, ...configsCss];
